*{
    box-sizing: border-box;
}
/* border radius */
.br5 {
    border-radius: 5px;
}
.br10 {
    border-radius: 10px;
}
.br15 {
    border-radius: 15px;
}
.br20 {
    border-radius: 20px;
}
.br22 {
    border-radius: 22px;
}
.br25 {
    border-radius: 25px;
}
.br35 {
    border-radius: 35px;
}
.br50 {
    border-radius: 50px;
}

/* icon sizes */
.icon-20 {
    width: 20px;
    height: 20px;
}
.icon-25 {
    width: 25px;
    height: 25px;
}
.icon-30 {
    width: 30px;
    height: 30px;
}
.icon-40 {
    width: 40px;
    height: 40px;
}

.icon-50 {
    width: 50px;
    height: 50px;
}

.centered {
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
}
.centered-txt {
    text-align: center;
}
.covered {
    object-fit: cover;
  }
.preserved {
    object-fit: contain;
}
.box-border {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
}
.btn-wrap {
    padding: 0;
    display: flex;
    cursor: pointer;
}
.btn-txt-only {
    padding: 10px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
    font-weight: 600;
}
.btn-txt-icon {
    margin: 0;
    padding-top: 8px;
    padding-left: 10px;
    padding-bottom: 8px;
    font-weight: 700;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
}
.btn-icon-txt {
    margin: 0;
    padding-top: 8px;
    padding-right: 10px;
    padding-bottom: 8px;
    font-weight: 700;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
}
.icon-case {
    margin: 0;
    padding: 10px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
}
.loading-case {
    height: 40px;
    width: 40px;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
}
.large-btn-wrap {
    height: 40px;
    width: 90%;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
    justify-items: center;
    font-weight: 700;
    cursor: pointer;
}
.nav {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 9996;
    margin: 0;
    padding-top: 0;
    padding-bottom: 0;
    padding-left: 10px;
    padding-right: 10px;
    height: 65px;
    display: flex;
    justify-content: center;
    justify-items: center;
}

.navchild {
    margin: 0;
    padding: 0;
    height: 65px;
    display: flex;
    justify-content: space-between;
}

.until-tab {
    width: 100%;
}
@media  screen and (min-width: 1023px) {
    .until-tab {
        width: 85%
    }
}

.tblock {
    margin: 0;
    padding: 0;
    display: flex;
    height: 100%;
}

.blockitem {
    margin: 0;
    padding-left: 3px;
    padding-right: 3px;
    height: 100%;
    min-width: 25px;
    display: flex;
    align-items: center;
    align-content: center;
    justify-items: center;
    justify-content: center;
}

.init {
    fill: currentColor;
}
.tree-dot{
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.no-style {
    -webkit-appearance: none;
    -moz-appearance: none;
    border: none;
    margin: 0;
    min-height: 20px;
    width: 100%;
    background: transparent;
    outline: none;
    font-size: 20px;
}
.is-flow {
    overflow-y: auto;
}
.is-flow::-webkit-scrollbar {
    display: none;
}
.is-flow::-webkit-scrollbar-track {
display: none;
}
.is-flow::-webkit-scrollbar-thumb {
display: none;
}
.hori-flow {
    overflow-x: auto;
}
.hori-flow::-webkit-scrollbar {
    display: none;
}
.hori-flow::-webkit-scrollbar-track {
display: none;
}
.hori-flow::-webkit-scrollbar-thumb {
display: none;
}

.fond-modal {
    margin: 0;
    position: fixed;
    z-index: 9998;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: 0;
    height: 100vh;
}